Available in Classic and VPC
View the list of products that meet the user-defined conditions.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/products |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
offset |
Long | Optional | Starting point of the response data
|
limit |
Long | Optional | Maximum number of response data
|
productName |
String | Optional | Name of the product to view
|
isPublished |
Boolean | Optional | Publishing status
|
subscriptionCode |
String | Optional | Subscription method
|
hasDeployedStage |
Boolean | Optional | Stage creation status
|
hasStageNotAssociatedWithUsagePlanId |
String | Optional | View excluding stages associated with a specific usage plan
|
Request example
The following is a sample request.
curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products?hasDeployedStage=true&isPublished=false&subscriptionCode=PUBLIC' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"initialCount" : 0,
"productPage" : {
"total" : 6,
"content" : [ {
"invokeId" : "invokeId",
"domainCode" : "domainCode",
"productId" : "productId",
"isPublished" : true,
"modifier" : "modifier",
"permission" : "permission",
"productName" : "productName",
"hasDeployedStage" : true,
"subscriptionCode" : "PROTECTED",
"isDeleted" : true,
"modTime" : "2000-01-23T04:56:07.000+00:00",
"tenantId" : "tenantId",
"disabled" : true,
"productDescription" : "productDescription",
"actionName" : "actionName"
} ]
}
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"productPage": {
"content": [
{
"productId": "***ksk9***",
"invokeId": "***ksk9***",
"tenantId": "***e230cebc1402ba89b148896951***",
"productName": "product",
"productDescription": "",
"isPublished": false,
"subscriptionCode": "PUBLIC",
"modifier": "***d3020-5bb7-11ec-bfb8-246e96591***",
"domainCode": "PUB",
"zoneCode": "PUBLIC",
"hasDeployedStage": true
}
],
"total": 1
},
"initialCount": 4
}